## com.lowagie.tools
Class Toolbox.Console.ReaderThread

    java.lang.Object
      java.lang.Thread
          com.lowagie.tools.Toolbox.Console.ReaderThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  Toolbox.Console

class Toolbox.Console.ReaderThread
extends Thread

Field Summary
`(package private) PipedInputStream` `pi`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`(package private)` `Toolbox.Console.ReaderThread(PipedInputStream pi)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pi

    PipedInputStream pi

Constructor Detail

### Toolbox.Console.ReaderThread

    Toolbox.Console.ReaderThread(PipedInputStream pi)

Method Detail

### run

    public void run()

  See Also:
    `Thread.run()`